#!/bin/bash

BRIGHTNESS=$( echo "${HOME}/Library/Application\ Support/HalfDimmer/brightness" | xargs )
DIM(){ "${BRIGHTNESS}" ${lastACPower} ;}
HALFDIM(){ "${BRIGHTNESS}" $(echo "${lastACPower}/2" | bc -l) ;}

old_state=$(pmset -g batt | awk -F "'" '{print $2}')

while true; do sleep 2
    state=$(pmset -g batt | awk -F "'" '{print $2}')
    if [[ ! "${state}" = "${old_state}" ]]; then 
             old_state=${state}; if [[ "${state}" = "AC Power" ]]; then DIM; else HALFDIM; fi
        elif [[ "${state}" = "AC Power" ]]; then lastACPower=$("${BRIGHTNESS}" -l | grep brightness | awk '{print $NF}' | bc)      
    fi
done
